commit 09f789660e9bedc8ecdc5add9afdfced4d68dcd0
Author: Kim Gräsman <kim.grasman@gmail.com>
Date:   Tue Aug 27 17:11:29 2024 +0100

    libstdc++: Fix @file for target-specific opt_random.h
    
    A few of these files self-identified as ext/random.tcc, update to use
    the actual basename.
    
    libstdc++-v3/ChangeLog:
    
            * config/cpu/aarch64/opt/ext/opt_random.h: Improve doxygen file
            docs.
            * config/cpu/i486/opt/ext/opt_random.h: Likewise.
    
    (cherry picked from commit c2ad7b2d5247cf2ddee98d7f46274775a3fa1268)

diff --git a/libstdc++-v3/config/cpu/aarch64/opt/ext/opt_random.h b/libstdc++-v3/config/cpu/aarch64/opt/ext/opt_random.h
index ae78aced27e..7f756d1572f 100644
--- a/libstdc++-v3/config/cpu/aarch64/opt/ext/opt_random.h
+++ b/libstdc++-v3/config/cpu/aarch64/opt/ext/opt_random.h
@@ -22,7 +22,7 @@
 // see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
 // <http://www.gnu.org/licenses/>.
 
-/** @file ext/random.tcc
+/** @file ext/opt_random.h
  *  This is an internal header file, included by other library headers.
  *  Do not attempt to use it directly. @headername{ext/random}
  */
diff --git a/libstdc++-v3/config/cpu/i486/opt/ext/opt_random.h b/libstdc++-v3/config/cpu/i486/opt/ext/opt_random.h
index 0947197af7b..3a3e892e7c3 100644
--- a/libstdc++-v3/config/cpu/i486/opt/ext/opt_random.h
+++ b/libstdc++-v3/config/cpu/i486/opt/ext/opt_random.h
@@ -22,7 +22,7 @@
 // see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
 // <http://www.gnu.org/licenses/>.
 
-/** @file ext/random.tcc
+/** @file ext/opt_random.h
  *  This is an internal header file, included by other library headers.
  *  Do not attempt to use it directly. @headername{ext/random}
  */

